Devuan bug report logs - #758
Changelogs are not available for forked packages

Package: devuan-project; Maintainer for devuan-project is Devuan Developers <devuan-dev@lists.dyne.org>;

Affects: aptitude, apt

Reported by: bugreportem@posteo.de

Date: Sun, 14 May 2023 13:14:01 UTC

Severity: wishlist

Done: Mark Hindley <mark@hindley.org.uk>

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#758; Package aptitude. (Sun, 14 May 2023 13:14:02 GMT) (full text, mbox, link).


Acknowledgement sent to bugreportem@posteo.de:
New bug report received and forwarded. Copy sent to devuan-dev@lists.dyne.org. (Sun, 14 May 2023 13:14:06 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.devuan.org (full text, mbox, reply):

From: bugreportem@posteo.de
To: submit@bugs.devuan.org
Subject: aptitude URL to use to download metadata
Date: Sun, 14 May 2023 13:11:01 +0000
Package: aptitude
Version:  0.8.13

Releases: beowulf and chimaera,

in the section aptitude preferences there is written
URL to use to download metadata
http://metadata.ftp-master.debian.org/changelogs

That means meta data of devuan packages cannot be downloaded through 
this channel.
Thus aptitude cannot report changelogs from the devuan packages.

Please correct.

Information forwarded to devuan-bugs@lists.dyne.org, devuan-dev@lists.dyne.org:
bug#758; Package aptitude. (Tue, 16 May 2023 09:56:01 GMT) (full text, mbox, link).


Message #8 received at 758@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: bugreportem@posteo.de, 758@bugs.devuan.org
Subject: Re: bug#758: aptitude URL to use to download metadata
Date: Tue, 16 May 2023 10:54:05 +0100
Control: reassign -1 devuan-project
Control: retitle -1 Changelogs are not available for forked packages
Control: affects -1 aptitude apt
Control: severity -1 wishlist

Thanks

Yes I was aware of this. It is a wider issue than aptitude (also affects apt and
probably others) and there isn't a straightforward solution as we need to merge
the available changelogs so that they are available on a single URL.

Maybe that can be done through an nginx redirect. I will give it some more
thought.

Reassigning to devuan-project.

Mark

bug reassigned from package 'aptitude' to 'devuan-project'. Request was from Mark Hindley <mark@hindley.org.uk> to 758-submit@bugs.devuan.org. (Tue, 16 May 2023 09:56:04 GMT) (full text, mbox, link).


No longer marked as found in versions 0.8.13. Request was from Mark Hindley <mark@hindley.org.uk> to 758-submit@bugs.devuan.org. (Tue, 16 May 2023 09:56:04 GMT) (full text, mbox, link).


Changed bug title to 'Changelogs are not available for forked packages' from 'aptitude URL to use to download metadata'. Request was from Mark Hindley <mark@hindley.org.uk> to 758-submit@bugs.devuan.org. (Tue, 16 May 2023 09:56:04 GMT) (full text, mbox, link).


Added indication that 758 affects aptitude and apt Request was from Mark Hindley <mark@hindley.org.uk> to 758-submit@bugs.devuan.org. (Tue, 16 May 2023 09:56:05 GMT) (full text, mbox, link).


Severity set to 'wishlist' from 'normal' Request was from Mark Hindley <mark@hindley.org.uk> to 758-submit@bugs.devuan.org. (Tue, 16 May 2023 09:56:05 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, Devuan Developers <devuan-dev@lists.dyne.org>:
bug#758; Package devuan-project. (Thu, 18 May 2023 11:10:02 GMT) (full text, mbox, link).


Message #21 received at 758@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: bugreportem@posteo.de, 758@bugs.devuan.org
Subject: Re: bug#758: aptitude URL to use to download metadata
Date: Thu, 18 May 2023 12:08:59 +0100
Control: tags -1 pending

I have an initial implementation to support this deployed for unstable and
experimental[1]

It works for apt. However, there is an unresolved Debian restriction on the
Origin field[2] which prevents aptitude from using the provided metadata.

Mark


[1]  http://pkgmaster.devuan.org/changelogs

[2]  https://bugs.debian.org/889924


Added tag(s) pending. Request was from Mark Hindley <mark@hindley.org.uk> to 758-submit@bugs.devuan.org. (Thu, 18 May 2023 11:10:06 GMT) (full text, mbox, link).


Information forwarded to devuan-bugs@lists.dyne.org, Devuan Developers <devuan-dev@lists.dyne.org>:
bug#758; Package devuan-project. (Thu, 18 May 2023 11:50:01 GMT) (full text, mbox, link).


Message #26 received at 758@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: bugreportem@posteo.de, 758@bugs.devuan.org
Subject: Re: bug#758: aptitude URL to use to download metadata
Date: Thu, 18 May 2023 12:48:40 +0100
Control: clone -1 -2
Control: reassign -2 aptitude
Control: retitle -2 aptitude doesn't accept non-Debian Origin when downloading changelogs
Control: tags -2 =debian
Control: forwarded -2 https://bugs.debian.org/889924

On Thu, May 18, 2023 at 12:08:59PM +0100, Mark Hindley wrote:
> It works for apt.

And synaptic.

Cloning the outstanding aptitude issue as a separate bug.

Mark

Bug 758 cloned as bug 759 Request was from Mark Hindley <mark@hindley.org.uk> to 758-submit@bugs.devuan.org. (Thu, 18 May 2023 11:50:09 GMT) (full text, mbox, link).


Reply sent to Mark Hindley <mark@hindley.org.uk>:
You have taken responsibility. (Wed, 20 Mar 2024 12:14:01 GMT) (full text, mbox, link).


Notification sent to bugreportem@posteo.de:
bug acknowledged by developer. (Wed, 20 Mar 2024 12:14:02 GMT) (full text, mbox, link).


Message #33 received at 758-done@bugs.devuan.org (full text, mbox, reply):

From: Mark Hindley <mark@hindley.org.uk>
To: 758-done@bugs.devuan.org
Subject: Re: bug#758: aptitude URL to use to download metadata
Date: Wed, 20 Mar 2024 12:11:24 +0000
Downloadable changelogs are available via the repository.

Closing as fixed.

Mark

Send a report that this bug log contains spam.


Devuan BTS -- Powered by Debian bug tracking system
Copyright (C) 1999 Darren O. Benham,
1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson,
2005-2017 Don Armstrong, and many other contributors.

Devuan Bugs Owner <owner@bugs.devuan.org>.
Last modified: Fri May 24 06:48:00 2024;